Index: tmp/org.txm.statsengine.r.feature/feature.xml
===================================================================
--- tmp/org.txm.statsengine.r.feature/feature.xml	(revision 729)
+++ tmp/org.txm.statsengine.r.feature/feature.xml	(revision 730)
@@ -35,7 +35,6 @@
       <import plugin="org.txm.concordance.core" version="1.0.0" match="greaterOrEqual"/>
       <import plugin="org.txm.lexicaltable.core" version="1.0.0" match="greaterOrEqual"/>
       <import plugin="org.txm.ca.core" version="1.0.0" match="greaterOrEqual"/>
-      <import plugin="org.txm.lexicon.core" version="1.0.0" match="greaterOrEqual"/>
       <import plugin="org.txm.specificities.core" version="1.0.0" match="greaterOrEqual"/>
       <import plugin="org.txm.progression.core" version="1.0.0" match="greaterOrEqual"/>
       <import plugin="org.txm.ahc.core" version="1.0.0" match="greaterOrEqual"/>
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/setup/BuildSplashVersion.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/setup/BuildSplashVersion.groovy	(revision 729)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/setup/BuildSplashVersion.groovy	(revision 730)
@@ -13,8 +13,8 @@
 
 int img_width = 316;
 
-File rcpDir = new File(System.getProperty("user.home"), "workspace442/org.txm.rcp")
-File product = new File(rcpDir, "rcp.product");
+File rcpDir = new File(System.getProperty("user.home"), "workspace079/org.txm.rcp")
+File product = new File(rcpDir, "rcpapplication.product");
 File imgFile = new File(rcpDir, "splash_sansversion.bmp");
 File imgFile2 = new File(rcpDir,"splash.bmp");
 
Index: tmp/trunk/org.txm.setups/BuildLinux64bit.sh
===================================================================
--- tmp/trunk/org.txm.setups/BuildLinux64bit.sh	(revision 729)
+++ tmp/trunk/org.txm.setups/BuildLinux64bit.sh	(revision 730)
@@ -64,11 +64,31 @@
 	exit 1;
 fi
 
-# update po files
-echo "update po files"
-cd "$APP/DEBIAN"
-debconf-updatepo
-cd "../.."
+# for multi installation: set the package version to txm-$VERSION
+find "$APP/DEBIAN/preinst" -type f -exec sed -i "s/\/usr\/lib\/TXM/\/usr\/lib\/TXM_$VERSION/g" {} \;
+find "$APP/DEBIAN/preinst" -type f -exec sed -i "s/\/usr\/bin\/TXM/\/usr\/bin\/TXM_$VERSION/g" {} \;
+find "$APP/DEBIAN/preinst" -type f -exec sed -i "s/\/usr\/share\/TXM/\/usr\/share\/TXM_$VERSION/g" {} \;
+find "$APP/DEBIAN/preinst" -type f -exec sed -i "s/\/usr\/share\/applications\/TXM.desktop/\/usr\/share\/applications\/TXM_$VERSION.desktop/g" {} \;
+find "$APP/DEBIAN/preinst" -type f -exec sed -i "s/\/usr\/share\/applications\/TXM debug.desktop/\/usr\/share\/applications\/TXM_$VERSION debug.desktop/g" {} \;
+find "$APP/DEBIAN/preinst" -type f -exec sed -i "s/\/usr\/share\/doc/\txm/\/usr\/share\/doc/\txm-$VERSION/g" {} \;
+find "$APP/DEBIAN/preinst" -type f -exec sed -i "s/\/usr\/share\/lintiant/overrides/\txm/\/usr\/share\/lintiant/overrides/\txm-$VERSION/g" {} \;
+find "$APP/DEBIAN/postinst" -type f -exec sed -i "s/\/usr\/lib\/TXM/\/usr\/lib\/TXM_$VERSION/g" {} \;
+find "$APP/DEBIAN/postinst" -type f -exec sed -i "s/TXM\&/TXM-{VERSION}\&/g" {} \;
+find "$APP/DEBIAN/control" -type f -exec sed -i "s/Package: txm/Package: txm-${VERSION}/g" {} \;
+find "$APP/usr/bin/TXM" -type f -exec sed -i "s/\/usr\/lib\/TXM/\/usr\/lib\/TXM_$VERSION/g" {} \;
+find "$APP/usr/bin/TXM" -type f -exec sed -i "s/\$HOME\/TXM/\$HOME\/TXM_$VERSION/g" {} \;
+mv "$APP/usr/bin/TXM" "$APP/usr/bin/TXM_$VERSION"
+mv "$APP/usr/lib/TXM" "$APP/usr/lib/TXM_$VERSION"
+find "$APP/usr/share/applications/TXM.desktop" -type f -exec sed -i "s/\/usr\/share\/TXM/\/usr\/share\/TXM_$VERSION/g" {} \;
+find "$APP/usr/share/applications/TXM.desktop" -type f -exec sed -i "s/\/usr\/bin\/TXM/\/usr\/bin\/TXM_$VERSION/g" {} \;
+find "$APP/usr/share/applications/TXM debug.desktop" -type f -exec sed -i "s/\/usr\/share\/TXM/\/usr\/share\/TXM_$VERSION/g" {} \;
+find "$APP/usr/share/applications/TXM debug.desktop" -type f -exec sed -i "s/\/usr\/bin\/TXM/\/usr\/bin\/TXM_$VERSION/g" {} \;
+mv "$APP/usr/share/applications/TXM.desktop" "$APP/usr/share/applications/TXM_$VERSION.desktop"
+mv "$APP/usr/share/applications/TXM debug.desktop" "$APP/usr/share/applications/TXM_$VERSION debug.desktop"
+mv "$APP/usr/share/doc/txm" "$APP/usr/share/doc/txm-$VERSION"
+find "$APP/usr/share/lintian/overrides/txm" -type f -exec sed -i "s/txm binary/txm-$VERSION binary/g" {} \;
+mv "$APP/usr/share/lintian/overrides/txm" "$APP/usr/share/lintian/overrides/txm-$VERSION"
+mv "$APP/usr/share/TXM" "$APP/usr/share/TXM_$VERSION"
 
 # build
 sudo fakeroot dpkg-deb --build "$APP"
Index: tmp/trunk/org.txm.setups/shared/debian/DEBIAN/postinst
===================================================================
--- tmp/trunk/org.txm.setups/shared/debian/DEBIAN/postinst	(revision 729)
+++ tmp/trunk/org.txm.setups/shared/debian/DEBIAN/postinst	(revision 730)
@@ -15,7 +15,7 @@
 fi
 
 # set 'txm' group to TXM install files
-sudo chgrp -R txm /usr/lib/TXM
+sudo chgrp -R txm $TXMINSTALLDIR
 if [ $? != 0 ]; then
 	echo "** TXM install: failed to set the 'txm' group to TXM install files" >&2
 	exit 1;
Index: tmp/trunk/org.txm.setups/shared/debian/DEBIAN/preinst
===================================================================
--- tmp/trunk/org.txm.setups/shared/debian/DEBIAN/preinst	(revision 729)
+++ tmp/trunk/org.txm.setups/shared/debian/DEBIAN/preinst	(revision 730)
@@ -1,4 +1,11 @@
 #!/bin/bash
-TXMINSTALLDIR="/usr/lib/TXM"
 
-rm -rf "$TXMINSTALLDIR"
+rm -rf "/usr/lib/TXM"
+rm -rf "/usr/share/doc/txm"
+rm -rf "/usr/share/lintian/overrides/txm"
+rm -rf "/usr/share/TXM"
+rm "/usr/share/applications/TXM.desktop"
+rm "/usr/share/applications/TXM debug.desktop"
+rm "/usr/bin/TXM"
+
+
Index: tmp/trunk/org.txm.setups/shared/debian/usr/bin/TXM
===================================================================
--- tmp/trunk/org.txm.setups/shared/debian/usr/bin/TXM	(revision 729)
+++ tmp/trunk/org.txm.setups/shared/debian/usr/bin/TXM	(revision 730)
@@ -1,12 +1,12 @@
 # This script launches TXM in the right directory and with the right TXM.ini file
 UBUNTU_MENUPROXY=0
 
-echo "TXM: Preparing redirections in $HOME/TXMPostInstallOutputLogs.txt and $HOME/TXMPostInstallErrorLogs.txt files."
+echo "TXM: Preparing redirections in $HOME/TXM_PostInstallOutputLogs.txt and $HOME/TXM_PostInstallErrorLogs.txt files."
 
-LOGFILESMSG=", see $HOME/TXMPostInstallOutputLogs.txt and $HOME/TXMPostInstallErrorLogs.txt output and error messages files."
+LOGFILESMSG=", see $HOME/TXM_PostInstallOutputLogs.txt and $HOME/TXM_PostInstallErrorLogs.txt output and error messages files."
 
-exec 3>$HOME/TXMPostInstallOutputLogs.txt
-exec 4>$HOME/TXMPostInstallErrorLogs.txt
+exec 3>$HOME/TXM_PostInstallOutputLogs.txt
+exec 4>$HOME/TXM_PostInstallErrorLogs.txt
 
 (
 echo "TXM: $HOME is '$HOME'"
Index: tmp/org.txm.rcp.feature/feature.xml
===================================================================
--- tmp/org.txm.rcp.feature/feature.xml	(revision 729)
+++ tmp/org.txm.rcp.feature/feature.xml	(revision 730)
@@ -193,13 +193,6 @@
       <import plugin="org.eclipse.e4.ui.workbench3" version="0.12.0" match="greaterOrEqual"/>
       <import plugin="org.eclipse.e4.ui.workbench.addons.swt" version="0.10.0" match="greaterOrEqual"/>
       <import plugin="org.eclipse.emf.ecore" version="2.7.0" match="greaterOrEqual"/>
-      <import plugin="com.ibm.icu"/>
-      <import plugin="javax.annotation"/>
-      <import plugin="javax.inject"/>
-      <import plugin="org.eclipse.e4.core.commands"/>
-      <import plugin="org.eclipse.e4.ui.services"/>
-      <import plugin="org.eclipse.emf.common"/>
-      <import plugin="javax.xml"/>
       <import plugin="org.txm.ca.core"/>
       <import plugin="org.eclipse.jdt.core"/>
       <import plugin="org.eclipse.jdt.ui"/>
@@ -207,18 +200,12 @@
       <import plugin="org.eclipse.jdt.debug"/>
       <import plugin="org.eclipse.jdt.launching"/>
       <import plugin="org.eclipse.jdt.debug.ui"/>
-      <import plugin="org.codehaus.groovy" version="1.8.6" match="greaterOrEqual"/>
-      <import plugin="org.eclipse.jdt.groovy.core" version="1.0.0" match="greaterOrEqual"/>
-      <import plugin="org.eclipse.jdt.junit" version="3.4.0" match="greaterOrEqual"/>
       <import plugin="org.eclipse.ltk.core.refactoring" version="3.5.0" match="greaterOrEqual"/>
       <import plugin="org.eclipse.ltk.ui.refactoring" version="3.4.100" match="greaterOrEqual"/>
-      <import plugin="org.codehaus.groovy.eclipse.refactoring" version="2.9.0" match="greaterOrEqual"/>
-      <import plugin="org.codehaus.groovy.eclipse.codebrowsing" version="2.9.0" match="greaterOrEqual"/>
       <import plugin="org.eclipse.jdt.core.manipulation" version="1.3.0" match="greaterOrEqual"/>
       <import plugin="org.eclipse.ui.views"/>
       <import plugin="org.eclipse.core.variables"/>
       <import plugin="org.eclipse.search" version="3.6.0" match="greaterOrEqual"/>
-      <import plugin="org.codehaus.groovy.eclipse.compilerResolver" version="2.9.0" match="greaterOrEqual"/>
    </requires>
 
    <plugin
@@ -561,11 +548,4 @@
          version="0.0.0"
          unpack="false"/>
 
-   <plugin
-         id="org.codehaus.groovy.eclipse.ui"
-         download-size="0"
-         install-size="0"
-         version="0.0.0"
-         unpack="false"/>
-
 </feature>
Index: tmp/org.txm.rcp/splash.bmp
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 729)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 730)
@@ -85,6 +85,7 @@
 import org.osgi.framework.BundleContext;
 import org.osgi.framework.FrameworkUtil;
 import org.osgi.framework.ServiceReference;
+import org.osgi.framework.Version;
 import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
@@ -103,6 +104,7 @@
 import org.txm.rcp.preferences.RCPPreferences;
 import org.txm.rcp.swt.dialog.CGUMessageDialog;
 import org.txm.rcp.utils.JobHandler;
+import org.txm.utils.BundleUtils;
 import org.txm.utils.DeleteDir;
 import org.txm.utils.io.FileCopy;
 import org.txm.utils.io.IOUtils;
@@ -713,7 +715,14 @@
 
 				Log.info("Checking TXM user directory.");
 				if (TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE).trim().isEmpty()) {
-					txmhomedir = new File(System.getProperty("user.home"), "TXM"); //$NON-NLS-1$ //$NON-NLS-2$
+					Version v = BundleUtils.getBundleVersion("org.txm.rcp");
+					
+					String version = v.getMajor()+"_"+v.getMinor()+"_"+v.getMicro();
+					if ("qualifier".equals(v.getQualifier())) {
+						System.out.println("RUNNING TXM FROM ECLIPSE - GOD MODE ACTIVATED");
+						version = "dev";
+					}
+					txmhomedir = new File(System.getProperty("user.home"), "TXM_"+version); //$NON-NLS-1$ //$NON-NLS-2$
 				} else {
 					txmhomedir = new File(TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE).trim());
 				}
Index: tmp/org.txm.rcp/rcpapplication.product
===================================================================
--- tmp/org.txm.rcp/rcpapplication.product	(revision 729)
+++ tmp/org.txm.rcp/rcpapplication.product	(revision 730)
@@ -67,7 +67,7 @@
       startupProgressRect="13,332,290,15"
       startupMessageRect="13,312,290,20"
       startupForegroundColor="000000" />
-   <launcher name=".main">
+   <launcher name="TXM">
       <linux icon="/org.txm.rcp/icons/logo/TXM logo.xpm"/>
       <macosx icon="/org.txm.rcp/icons/logo/TXM logo.icns"/>
       <solaris/>
